local lspconfig = require "lspconfig"
local on_attach = require("nvchad.configs.lspconfig").on_attach
local on_attach = require("nvchad.configs.lspconfig").on_init
local capabilities
require("mason-lspconfig").setup()
require("mason-lspconfig").setup_handlers {
  function(name)
    lspconfig[name].setup {}
  end,
}
-- if you just want default config for the servers then put them in a table
local servers = {
  "html",
  "cssls",
  "clangd",
  "gopls",
  "astro",
  "lua_ls",
  "docker_compose_language_service",
  "ast_grep",
  "pyright",
  "bashls",
  "css_variables",
  "marksman",
  -- "rust_analyzer",
  "rust_analyzer",
  "ruff",
  "jdtls",
  "nil_ls",
}

for _, lsp in ipairs(servers) do
  lspconfig[lsp].setup {
    on_attach = on_attach,
    on_init = on_init,
    capabilities = capabilities,
  }
end

require("copilot").setup()
